Public Attributes | List of all members
iso_create_big_t Struct Reference
BLE » Core Isochronous Channels » Structures

The parameter for creating big. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | big_hdl
| Used to identify the BIG (0x00 to 0xEF). More...
uint8_t | per_adv_idx
| Used to identify the periodic advertising set (0 to 4). More...
uint8_t | num_bis
| Total number of BISs in the BIG(0x01 to 0x1F). More...
uint32_t | sdu_interval
| Time duration between SDUs in microseconds(0x000100 to 0x0FFFFF). More...
uint16_t | max_sdu_size
| Maximum size of a SDU (0x001 to 0xFFF). More...
uint16_t | tran_latency
| Maximum time (in milliseconds) between transmission and reception of a BIS Data PDU (0x0000 to 0x0FA0). More...
uint8_t | rtn
| Number of times every BIS Data PDU should be retransmitted(0x00 to 0x0F). More...
uint8_t | phy
| Indicates the PHY used for transmission of PDUs of BISs in the BIG.see iso_phy_type_t. More...
uint8_t | packing
| Sequential or Interleaved, see iso_packing_type_t. More...
uint8_t | framing
| Unframed or Framed, see iso_framing_type_t. More...
uint8_t | encryption
| Unencrypted or Encrypted, see iso_encryption_type_t. More...
uint8_t | encryption_code [ENC_CODE_LEN]
| The code used for encrypting or decrypting payloads of an encrypted BIS. More...

## Detailed Description

The parameter for creating big.

Definition at line 265 of file ble_iso.h.

## Member Data Documentation

## ◆ big_hdl

uint8_t iso_create_big_t::big_hdl

Used to identify the BIG (0x00 to 0xEF).

Definition at line 267 of file ble_iso.h.

## ◆ encryption

uint8_t iso_create_big_t::encryption

Unencrypted or Encrypted, see iso_encryption_type_t.

Definition at line 277 of file ble_iso.h.

## ◆ encryption_code

uint8_t iso_create_big_t::encryption_code[ENC_CODE_LEN]

The code used for encrypting or decrypting payloads of an encrypted BIS.

Definition at line 278 of file ble_iso.h.

## ◆ framing

uint8_t iso_create_big_t::framing

Unframed or Framed, see iso_framing_type_t.

Definition at line 276 of file ble_iso.h.

## ◆ max_sdu_size

uint16_t iso_create_big_t::max_sdu_size

Maximum size of a SDU (0x001 to 0xFFF).

Definition at line 271 of file ble_iso.h.

## ◆ num_bis

uint8_t iso_create_big_t::num_bis

Total number of BISs in the BIG(0x01 to 0x1F).

Definition at line 269 of file ble_iso.h.

## ◆ packing

uint8_t iso_create_big_t::packing

Sequential or Interleaved, see iso_packing_type_t.

Definition at line 275 of file ble_iso.h.

## ◆ per_adv_idx

uint8_t iso_create_big_t::per_adv_idx

Used to identify the periodic advertising set (0 to 4).

Definition at line 268 of file ble_iso.h.

## ◆ phy

uint8_t iso_create_big_t::phy

Indicates the PHY used for transmission of PDUs of BISs in the BIG.see iso_phy_type_t.

Definition at line 274 of file ble_iso.h.

## ◆ rtn

uint8_t iso_create_big_t::rtn

Number of times every BIS Data PDU should be retransmitted(0x00 to 0x0F).

Definition at line 273 of file ble_iso.h.

## ◆ sdu_interval

uint32_t iso_create_big_t::sdu_interval

Time duration between SDUs in microseconds(0x000100 to 0x0FFFFF).

Definition at line 270 of file ble_iso.h.

## ◆ tran_latency

uint16_t iso_create_big_t::tran_latency

Maximum time (in milliseconds) between transmission and reception of a BIS Data PDU (0x0000 to 0x0FA0).

Definition at line 272 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h